// nova-werun/components/circle/index.js
const Parse = getApp().Parse;
const company = getApp().globalData.company;
Component({
    /**
     * 组件的属性列表
     */
    properties: {

    },

    /**
     * 组件的初始数据
     */
    data: {
        //屏幕高度
        statusBarHeight: 0, // 状态栏高度
        screenHeight: 0, // 屏幕高度
        customHeight: 0, // 自定义导航栏高度（如小程序右上角胶囊按钮）
        bottomNavHeight: 0, // 底部导航栏高度
        contentHeight: 0, // 可用内容高度
        contentpadding: 0, //顶部padding高度
        navheight: 0, //nav栏高度
        //朋友圈
        cardList: [],

        loadedItems: 0, // 已加载的商品数量
        pageSize: 6, // 每次加载的商品数量
        noMoreItems: false, // 是否还有更多商品

        ActivityList:[],
    },
    lifetimes: {

        detached: function () {
            // 在组件实例被从页面节点树移除时执行
        },
        attached: async function () {
            // 在组件实例进入页面节点树时执行
            // 计算
            const systemInfo = wx.getSystemInfoSync();
            const statusBarHeight = systemInfo.statusBarHeight || 0;
            const screenHeight = systemInfo.screenHeight || 0;
            const custom = wx.getMenuButtonBoundingClientRect();
            const customHeight = custom.height + 10 + 2 || 0;
            const bottomNavHeight = systemInfo.screenHeight - systemInfo.safeArea.bottom || 0;
            const contentHeight = (screenHeight - 50 - bottomNavHeight - statusBarHeight - customHeight) * 750 / systemInfo.windowWidth;
            const navheight = (statusBarHeight + customHeight) * 750 / systemInfo.windowWidth;
            this.setData({
                statusBarHeight,
                screenHeight: (screenHeight - 50 - bottomNavHeight) * 750 / systemInfo.windowWidth,
                customHeight,
                bottomNavHeight,
                contentHeight,
                navheight
            });
            // console.log('123', contentHeight);
            // this.iddepe()
            this.getcircle()
            this.getact()
        },

    },

    /**
     * 组件的方法列表
     */
    methods: {

        //查全部朋友圈
        async getcircle() {
            // const currentUser = Parse.User.current();
            // let Profilequery2 = new Parse.Query('Profile');
            // Profilequery2.equalTo('company', company);
            // Profilequery2.equalTo('user', currentUser.id);
            // Profilequery2.equalTo('isCheck', true);
            // Profilequery2.notEqualTo('isDeleted', true)
            // let P2 = await Profilequery2.find();
            // let profile1List2 = P2.map(item => item.toJSON());
            // // console.log(profile1List2);
            // const department = profile1List2[0].department.objectId
            // // console.log(department);
            // let queryWhere = {
            //     where: {
            //         profile: {
            //             $inQuery: {
            //                 where: {
            //                     department: department
            //                 },
            //                 className: 'Profile',
            //             },
            //         }
            //     }
            // }
            // let Profilequery = Parse.Query.fromJSON('AIMoment', queryWhere);
            let Profilequery = new Parse.Query('AIMoment');
            Profilequery.equalTo('company', company);
            Profilequery.equalTo('isVisible', true);
            Profilequery.notEqualTo('isDeleted', true)
            Profilequery.descending('createdAt');
            // 设置查询的限制和偏移
            Profilequery.limit(this.data.pageSize);
            Profilequery.skip(this.data.loadedItems);
            let P = await Profilequery.find();
            let profile1List = P.map(item => item.toJSON());
            // 检查是否还有更多商品
            if (profile1List.length < this.data.pageSize) {
                this.setData({
                    noMoreItems: true
                });
            } else {
                this.setData({
                    noMoreItems: false
                });
            }

            this.setData({
                cardList: this.data.cardList.concat(profile1List),
                loadedItems: this.data.loadedItems + profile1List.length,
            })
            console.log(this.data.cardList);
        },
        loadMoreData: async function () {
            // 触底时加载更多数据
            if (!this.data.noMoreItems) {
                await this.getcircle();
            }
        },
        getcircle2() {
            this.setData({
                cardList: [],
                loadedItems: 0,
                noMoreItems: false
            })
            console.log('运行了');
            this.getcircle()
        },
        //跳转
        gourl(e) {
            const url = e.currentTarget.dataset.url
            wx.navigateTo({
                url: `${url}` // 目标页面的路径
            });
        },
        //跳转活动
        goactivity(e){
            const url = e.currentTarget.dataset.url
            const acid = e.currentTarget.dataset.acid
            wx.navigateTo({
                url: `${url}?id=` + acid // 目标页面的路径
            });
        },
        //判断是否有部门
        //    async  iddepe(){
        //         const currentUser = Parse.User.current();
        //         let Profilequery2 = new Parse.Query('Profile');
        //         Profilequery2.equalTo('company', company);
        //         Profilequery2.equalTo('user', currentUser.id);
        //         Profilequery2.equalTo('isCheck', true);
        //         Profilequery2.notEqualTo('isDeleted', true)
        //         let P2 = await Profilequery2.first();
        //         if(P2){
        //             this.getcircle()
        //         }else{
        //             wx.navigateTo({
        //                 url: '../../pages/my/my-profile/index?type='+'资料认证'// 目标页面的路径
        //             });
        //         }
        //     }

        //首页活动
        async getact() {
            let Activityquery = new Parse.Query('Activity');
            Activityquery.equalTo('company', company);
            Activityquery.notEqualTo('isDeleted', true);
            Activityquery.equalTo('isEnabled', true);
            Activityquery.ascending('index'); // 按index升序排序
            Activityquery.limit(4); // 限制结果为前四个
        
            let P = await Activityquery.find();
            let ActivityList = P.map(item => item.toJSON());
        
            this.setData({
                ActivityList,
            });
        },

    }
})